Skip to main content
POST
/
budgets
/
generate-credit
curl
curl -i -X POST         'https://api-sandbox.equalsmoney.com/v2/budgets/generate-credit?accountId=F50072'         -H 'Authorization: YOUR_API_KEY_HERE'         -H 'Content-Type: application/json'         -d '{
        "thirdPartyReference": "1e3f1734-6f7a-17e5-ae22-11cd18757ef4",
        "budgetId": "fcf1d230-a9d0-4836-9e20-f98f3396e01b",
        "settlementPriceAmount": "200",
        "settlementPriceCurrency": "GBP",
        "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",
        "remittersName": "William Walker",
        "reference": "REF-123-456",
        "bankIdentifier": "0123",
        "remittersAddress": "41 Middle Street, Enfield, EN1 3JY",
        "beneficiaryName": "John Smith",
        "institutionName": "ACME",
        "institutionAddress": "32 Marlborough Street, London, N9 7QD",
        "schemeName": "FasterPayment"
        }'
{}

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

settlementPriceAmount
string
required

The settlement amount.

Pattern: ^[0-9]+$
settlementPriceCurrency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GGP,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHN,
SLL,
SOS,
SRD,
SSP,
STN,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMK,
ZMW,
ZWD
Example:

"USD"

remittersName
string
required

The name of the remitter.

Example:

"William Walker"

remittersAddress
string
required

The remitter's address.

Example:

"41 Middle Street, Enfield, EN1 3JY"

beneficiaryName
string
required

The name of the beneficiary of the credit.

Example:

"John Smith"

thirdPartyReference
string

A unique reference provided by your integrating product.

Example:

"1e3f1734-6f7a-17e5-ae22-11cd18757ef4"

orderId
string

The ID of the order used to fulfil the transfer request.

accountIdentifier
string

Identifier of the account, could be iban or account number

reference
string

The reference of the credit.

Example:

"REF-123-456"

bankIdentifier
string

The bank identifier.

Pattern: ^[0-9]+$
institutionName
string

The name of the institution making the credit.

Maximum string length: 35
institutionAddress
string

The address of the institution making the credit.

Maximum string length: 109
schemeName
enum<string>

The name of the scheme used to process the credit.

Available options:
FasterPayment,
BACS,
CHAPS,
Swift,
SEPA
Example:

"FasterPayment"

Response

200 - application/json

OK

The response is of type object.